Subject: Re: Terminal type of su
To: David Jones <>
From: Chris G Demetriou <Chris_G_Demetriou@LAGAVULIN.PDL.CS.CMU.EDU>
List: amiga-dev
Date: 12/08/1994 13:47:30
> > > #options		"COMPAT_09"	# compatability with older NetBSD release
> > > options		"COMPAT_10"	# compatability with older NetBSD release
> > ^^^ I don't believe you should be doing this.. especially if you are
> > compiling a 1.0 kernel.  COMPAT_10 is for 1.0A kernels,
> options COMPAT_10 is in the GENERIC config, commented as "compatibility
> with older NetBSD release".  I assumed it is a good thing to be
> compatible with oneself.

i wasn't aware that COMPAT_10 was in the 1.0 kernels; it shouldn't be.
in any case, there's no code in 1.0 that's conditional on COMPAT_10,
so it won't make a diff.

> > > #options		"COMPAT_43"	# 4.3 BSD compatible system calls
> > Hmm.. I hve never commented this out.
> Given that I have updated binaries to "1.0 release", I should not need this
> anymore.  No?

This is mostly orthogonal to the NetBSD compat options.  COMPAT_43 is
a suggested option; if you'd like to know why, read through the
sources that use it...